### Function

# Cogl get_graphics_reset_status

#### Declaration [src]

    CoglGraphicsResetStatus
    cogl_get_graphics_reset_status (
      CoglContext* context
    )

#### Description [src]

Returns the graphics reset status as reported by GetGraphicsResetStatusARB defined in the ARB_robustness extension.

Note that Cogl doesn’t normally enable the ARB_robustness extension in which case this will only ever return

# COGL_GRAPHICS_RESET_STATUS_NO_ERROR.

Applications must explicitly use a backend specific method to request that errors get reported such as X11’s cogl_xlib_renderer_request_reset_on_video_memory_purge().

#### Parameters

`context`

  Type: `CoglContext`

  A `CoglContext` pointer.

  The data is owned by the caller of the function.

#### Return value

Type: `CoglGraphicsResetStatus`

A `CoglGraphicsResetStatus`.